aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2020-08-11 11:03:25 -0400
committerNick Mathewson <nickm@torproject.org>2020-08-11 11:03:25 -0400
commite4ef3c61f7fd718da94deace0b67950c6f788859 (patch)
treedf2bec2af507b40f06af907f9c97413a35537321 /scripts
parent0ee3b83a0b77637f51fedc321046fdeaaf5ec15d (diff)
parent673d02bdb0517cc9867d0f67aec887f71e6d1ce5 (diff)
downloadtor-e4ef3c61f7fd718da94deace0b67950c6f788859.tar.gz
tor-e4ef3c61f7fd718da94deace0b67950c6f788859.zip
Merge branch 'maint-0.4.4'
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci/ci-driver.sh4
-rwxr-xr-xscripts/maint/run_check_subsystem_order.sh1
2 files changed, 3 insertions, 2 deletions
diff --git a/scripts/ci/ci-driver.sh b/scripts/ci/ci-driver.sh
index bede68baa8..a675335115 100755
--- a/scripts/ci/ci-driver.sh
+++ b/scripts/ci/ci-driver.sh
@@ -257,7 +257,7 @@ fi
uname -a
python -V || echo "no 'python' binary."
-python3 -V || echo "no 'pythone' binary."
+python3 -V || echo "no 'python3' binary."
show_git_version Tor "${CI_SRCDIR}"
if [[ "${STEM}" = "yes" ]]; then
@@ -378,7 +378,7 @@ if [[ "${CHECK}" = "yes" ]]; then
hooray "make check has succeeded."
else
error "Here are the contents of the test suite output:"
- runcmd cat test_suite.log || true
+ runcmd cat test-suite.log || true
FAILED_TESTS="${FAILED_TESTS} check"
fi
end_section "Check"
diff --git a/scripts/maint/run_check_subsystem_order.sh b/scripts/maint/run_check_subsystem_order.sh
index 4ec73bfd56..8e98f1e49c 100755
--- a/scripts/maint/run_check_subsystem_order.sh
+++ b/scripts/maint/run_check_subsystem_order.sh
@@ -12,6 +12,7 @@ if ! test -x "${INCLUDES_PY}" ; then
fi
"${TOR}" --dbg-dump-subsystem-list | \
+ "${PYTHON:-python}" \
"${INCLUDES_PY}" --check-subsystem-order - "${abs_top_srcdir}/src"
echo ok